API ReferenceManagementPassword Management
POST
/v2/mgmt/password/settings

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

enabled?boolean
minLength?integer
Formatint32
lowercase?boolean
uppercase?boolean
number?boolean
nonAlphanumeric?boolean
anyLetter?boolean
disallowedCharacters?string
Lengthlength <= 1024
disallowEmailMatch?boolean
expiration?boolean
expirationWeeks?integer
Formatint32
reuse?boolean
reuseAmount?integer
Formatint32
lock?boolean
lockAttempts?integer
Formatint32
tempLock?boolean
tempLockAttempts?integer
Formatint32
tempLockDuration?integer
Formatint32
enablePasswordStrength?boolean
passwordStrengthScore?integer
Formatint32
maskError?boolean
emailConnectorId?string
Lengthlength <= 254
emailTemplateId?string

Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template. Note that the same stored templates serve both the magic link and enchanted link reset flavors.

Lengthlength <= 254
externalEmailTemplateId?string
Lengthlength <= 254
rolePolicies?object

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

Set the project's password settings, using a valid management key.

curl -X POST "https://api.descope.com/v2/mgmt/password/settings" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?